<?php
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="showPrediction">
<?php 
/**************************** Version 20241211 ***************************/
// Added Continental US and regional maps as options
// JJ Krawczyk
/**************************** Version 20241206 ***************************/
// This version handles the NWS change from static images hosted at each
// WFO site to generated images from the Weather Prediction Center
// All image loads now happen via javascript/js so that a spinner can
// be displayed while waiting (the loads can take a few seconds).
// JJ Krawczyk / Tom Abell

/* The following code sets defaults for testing only.
    If these defaults adversely affect your predictionion code, comment out
		 this section by removing the slash behind this asterisk ->*
if (!isset($wfo)&&!isset($prediction)) { 
  $wfo='oax';
  $divWidth = '656';         // They are used for testing only
//  $prediction = "StormTotalSnowWeb";
  $prediction = "expected_range";
  $leftMargin = 50; // Left margin to display text
  $mapPath = './images/';
	$_SESSION['CSSwidescreen'] = false;
	$standAlone = true;
}
/* End of testing code defaults and section to comment out */


if (isset($_POST['wfo'])) { 
	$wfo = $_POST['wfo']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { 
	$divWidth = $_POST['divWidth']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['prediction'])) { 
	$prediction = $_POST['prediction']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['standAlone'])) { 
	$standAlone = $_POST['standAlone']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if ($standAlone ) $divWidth = 1022;

$locationArrays = array(
/*
"afc" => array("state" => ", AK", "city" => "Anchorage"),
"afg" => array("state" => ", AK", "city" => "Fairbanks"),
"ajk" => array("state" => ", AK", "city" => "Juneau"),
*/
"bmx" => array("state" => ", AL", "city" => "Birmingham"),
"mob" => array("state" => ", AL", "city" => "Mobile"),
"hun" => array("state" => ", AL", "city" => "Huntsville"),
"fgz" => array("state" => ", AZ", "city" => "Flagstaff"),
"psr" => array("state" => ", AZ", "city" => "Phoenix"),
"twc" => array("state" => ", AZ", "city" => "Tucson"),
"lzk" => array("state" => ", AR", "city" => "Little Rock"),
"eka" => array("state" => ", CA", "city" => "Eureka"),
"hnx" => array("state" => ", CA", "city" => "Hanford/San Joaquin Vly."),
"lox" => array("state" => ", CA", "city" => "Los Angeles/Oxnard"),
"sto" => array("state" => ", CA", "city" => "Sacramento"),
"sgx" => array("state" => ", CA", "city" => "San Diego"),
"mtr" => array("state" => ", CA", "city" => "San Francisco Bay/Monterey"),
"bou" => array("state" => ", CO", "city" => "Denver/Boulder"),
"gjt" => array("state" => ", CO", "city" => "Grand Junction"),
"pub" => array("state" => ", CO", "city" => "Pueblo"),
"jax" => array("state" => ", FL", "city" => "Jacksonville"),
"key" => array("state" => ", FL", "city" => "Key West"),
"mlb" => array("state" => ", FL", "city" => "Melbourne"),
"mfl" => array("state" => ", FL", "city" => "Miami"),
"tae" => array("state" => ", FL", "city" => "Tallahassee"),
"tbw" => array("state" => ", FL", "city" => "Tampa Bay Area"),
"ffc" => array("state" => ", GA", "city" => "Atlanta/Peachtree City"),
/*
"gum" => array("state" => ", GU", "city" => "Tiyan"),
"hnl" => array("state" => ", HI", "city" => "Honolulu"),
*/
"boi" => array("state" => ", ID", "city" => "Boise"),
"pih" => array("state" => ", ID", "city" => "Pocatello"),
"ilx" => array("state" => ", IL", "city" => "Lincoln"),
"lot" => array("state" => ", IL", "city" => "Chicago"),
"ind" => array("state" => ", IN", "city" => "Indianapolis"),
"iwx" => array("state" => ", IN", "city" => "Northern Indiana"),
"dmx" => array("state" => ", IA", "city" => "Des Moines"),
"dvn" => array("state" => ", IA", "city" => "Quad Cities/Davenport"),
"ddc" => array("state" => ", KS", "city" => "Dodge City"),
"gld" => array("state" => ", KS", "city" => "Goodland"),
"top" => array("state" => ", KS", "city" => "Topeka"),
"ict" => array("state" => ", KS", "city" => "Wichita"),
"jkl" => array("state" => ", KY", "city" => "Jackson"),
"lmk" => array("state" => ", KY", "city" => "Louisville"),
"pah" => array("state" => ", KY", "city" => "Paducah"),
"lch" => array("state" => ", LA", "city" => "Lake Charles"),
"lix" => array("state" => ", LA", "city" => "New Orleans"),
"shv" => array("state" => ", LA", "city" => "Shreveport"),
"car" => array("state" => ", ME", "city" => "Caribou"),
"gyx" => array("state" => ", ME", "city" => "Portland"),
"box" => array("state" => ", MA", "city" => "Boston/Norton"),
"dtx" => array("state" => ", MI", "city" => "Detroit"),
"apx" => array("state" => ", MI", "city" => "Gaylord"),
"grr" => array("state" => ", MI", "city" => "Grand Rapids"),
"mqt" => array("state" => ", MI", "city" => "Marquette"),
"dlh" => array("state" => ", MN", "city" => "Duluth"),
"mpx" => array("state" => ", MN", "city" => "Twin Cities/Chanhassen"),
"jan" => array("state" => ", MS", "city" => "Jackson"),
"eax" => array("state" => ", MO", "city" => "Kansas City"),
"sgf" => array("state" => ", MO", "city" => "Springfield"),
"lsx" => array("state" => ", MO", "city" => "St. Louis"),
"byz" => array("state" => ", MT", "city" => "Billings"),
"ggw" => array("state" => ", MT", "city" => "Glasgow"),
"tfx" => array("state" => ", MT", "city" => "Great Falls"),
"mso" => array("state" => ", MT", "city" => "Missoula"),
"gid" => array("state" => ", NE", "city" => "Hastings"),
"lbf" => array("state" => ", NE", "city" => "North Platte"),
"oax" => array("state" => ", NE", "city" => "Omaha"),
"lkn" => array("state" => ", NV", "city" => "Elko"),
"vef" => array("state" => ", NV", "city" => "Las Vegas"),
"rev" => array("state" => ", NV", "city" => "Reno"),
"abq" => array("state" => ", NM", "city" => "Albuquerque"),
"aly" => array("state" => ", NY", "city" => "Albany"),
"bgm" => array("state" => ", NY", "city" => "Binghamton"),
"buf" => array("state" => ", NY", "city" => "Buffalo"),
"okx" => array("state" => ", NY", "city" => "New York City/Upton"),
"rah" => array("state" => ", NC", "city" => "Raleigh/Durham"),
"mhx" => array("state" => ", NC", "city" => "Morehead City"),
"ilm" => array("state" => ", NC", "city" => "Wilmington"),
"bis" => array("state" => ", ND", "city" => "Bismarck"),
"fgf" => array("state" => ", ND", "city" => "Grand Forks"),
"cle" => array("state" => ", OH", "city" => "Cleveland"),
"iln" => array("state" => ", OH", "city" => "Wilmington/Dayton"),
"oun" => array("state" => ", OK", "city" => "Norman"),
"tsa" => array("state" => ", OK", "city" => "Tulsa"),
"mfr" => array("state" => ", OR", "city" => "Medford"),
"pdt" => array("state" => ", OR", "city" => "Pendleton"),
"pqr" => array("state" => ", OR", "city" => "Portland"),
"phi" => array("state" => ""    , "city" => "Philadelphia, PA/Mt. Holly, NJ"),
"pbz" => array("state" => ", PA", "city" => "Pittsburgh"),
"ctp" => array("state" => ", PA", "city" => "State College"),
/*
"sju" => array("state" => ", PR", "city" => "San Juan"),
*/
"chs" => array("state" => ", SC", "city" => "Charleston"),
"cae" => array("state" => ", SC", "city" => "Columbia"),
"gsp" => array("state" => ", SC", "city" => "Greenville/Spartanburg"),
"abr" => array("state" => ", SD", "city" => "Aberdeen"),
"unr" => array("state" => ", SD", "city" => "Rapid City"),
"fsd" => array("state" => ", SD", "city" => "Sioux falls"),
"mrx" => array("state" => ", TN", "city" => "Knoxville/Tri Cities"),
"meg" => array("state" => ", TN", "city" => "Memphis"),
"ohx" => array("state" => ", TN", "city" => "Nashville"),
"ama" => array("state" => ", TX", "city" => "Amarillo"),
"bro" => array("state" => ", TX", "city" => "Brownsville"),
"crp" => array("state" => ", TX", "city" => "Corpus Christi"),
"fwd" => array("state" => ", TX", "city" => "Dallas/Fort Worth"),
"epz" => array("state" => ", TX", "city" => "El Paso"),
"hgx" => array("state" => ", TX", "city" => "Houston/Galveston"),
"lub" => array("state" => ", TX", "city" => "Lubbock"),
"sjt" => array("state" => ", TX", "city" => "San Angelo"),
"ewx" => array("state" => ", TX", "city" => "San Antonio/Austin"),
"slc" => array("state" => ", UT", "city" => "Salt Lake City"),
"btv" => array("state" => ", VT", "city" => "Burlington"),
"rnk" => array("state" => ", VA", "city" => "Roanoke/Blacksburg"),
"akq" => array("state" => ", VA", "city" => "Wakefield"),
"sew" => array("state" => ", WA", "city" => "Seattle/Tacoma"),
"otx" => array("state" => ", WA", "city" => "Spokane"),
"lwx" => array("state" => ", MD", "city" => "Washington/Baltimore"),
"rlx" => array("state" => ", WV", "city" => "Charleston"),
"grb" => array("state" => ", WI", "city" => "Green Bay"),
"arx" => array("state" => ", WI", "city" => "La Crosse"),
"mkx" => array("state" => ", WI", "city" => "Milwaukee"),
"cys" => array("state" => ", WY", "city" => "Cheyenne"),
"riw" => array("state" => ", WY", "city" => "Riverton"),
"None" => array("state" => "", "city" => "Continental US"),
"ABRFC" => array("state" => "", "city" => "Arkansas-Red Basin"),
"CBRFC" => array("state" => "", "city" => "Colorado Basin"),
"CNRFC" => array("state" => "", "city" => "California Nevada"),
"LMRFC" => array("state" => "", "city" => "Lower Mississippi"),
"MARFC" => array("state" => "", "city" => "Mid Atlantic"),
"MBRFC" => array("state" => "", "city" => "Missouri Basin"),
"NERFC" => array("state" => "", "city" => "Northeast"),
"NCRFC" => array("state" => "", "city" => "North Central"),
"NWRFC" => array("state" => "", "city" => "Northwest"),
"OHRFC" => array("state" => "", "city" => "Ohio River"),
"SERFC" => array("state" => "", "city" => "Southeast"),
"WGRFC" => array("state" => "", "city" => "West Gulf")
);

/*
foreach ($locationArrays as $key => $val) {
	if ($val[0] === $wfo) {
		$wfoText = $locationArrays[$key][1];
		break;
	}
}
$matches = preg_split("/[,]+/",$wfoText);
$city = trim($matches[1]);
$state = $matches[0];

$wfoText = $city.', '.$state;
*/

if (isset($locationArrays[$wfo]) )
  $wfoText = $locationArrays[$wfo]["city"] . $locationArrays[$wfo]["state"];

else
  $wfoText = "";

?>
<?php
/*
$predictionArrays = array(
    array("SnowAmt10Prcntl","Expect at Least This Much"),
    array("StormTotalSnowWeb","Most Likely Snowfall"),
    array("SnowAmt90Prcntl","Potential for This Much"),
	array("StormTotalIceWeb","Storm Total Ice Forecast"),
	array("ProbSnowGETr","Chance of >= 0.1 Inch Snowfall"),
	array("ProbSnowGE01","Chance of >= 1 Inch Snowfall"),
	array("ProbSnowGE02","Chance of >= 2 Inch Snowfall"),
	array("ProbSnowGE04","Chance of >= 4 Inch Snowfall"),
	array("ProbSnowGE06","Chance of >= 6 Inch Snowfall"),
	array("ProbSnowGE08","Chance of >= 8 Inch Snowfall"),
	array("ProbSnowGE12","Chance of >= 12 Inch Snowfall"),
	array("ProbSnowGE18","Chance of>= 18 Inch Snowfall"),
	array("WinterPrecipOnset","Winter Precipitation Onset"),
	array("WinterPrecipEndTiming","Winter Precipitation End Timing"),
);
 */

$predictionArrays = array(
  "low_end" => "Expect at Least This Much",
  "expected_range" => "Most Likely Snowfall",
  "high_end" => "Potential for This Much",
  //"StormTotalIceWeb" => "Storm Total Ice Forecast",
  "0p10" => "Chance of >= 0.1 Inch Snowfall",
  "1p00" => "Chance of >= 1 Inch Snowfall",
  "2p00" => "Chance of >= 2 Inch Snowfall",
  "4p00" => "Chance of >= 4 Inch Snowfall",
  "6p00" => "Chance of >= 6 Inch Snowfall",
  "8p00" => "Chance of >= 8 Inch Snowfall",
  "12p0" => "Chance of >= 12 Inch Snowfall",
  "18p0" => "Chance of >= 18 Inch Snowfall",
  //"WinterPrecipOnset" => "Winter Precipitation Onset",
  //"WinterPrecipEndTiming" => "Winter Precipitation End Timing",
);
/*
foreach ($predictionArrays as $key => $val) {
	if ($val[0] == $prediction) {
		$predictionText = $predictionArrays[$key][1];
		break;
	}
}
 */

if (isset($predictionArrays[$prediction] ) )
  $predictionText = $predictionArrays[$prediction] . " for ";
else
  $predictionText = "";
?>

<h2 align="center"><?php echo $predictionText . $wfoText?></h2>

<h4 align="center">
  To Select Another NWS Office or Prediction Type, <!--Click on Map or -->Choose from a List
</h4>

<table width="575px" align="center">
  <tr>
    <td align="center">

      <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
        <b>Select Forecast Office:</b> &nbsp;
      </span>
      <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="wfo">
        <optgroup label=" - United States">
          <option value="None"<?php echo $wfo=="None"?' selected="selected"':''?>>Continental US</option>
          <option value="ABRFC"<?php echo $wfo=="ABRFC"?' selected="selected"':''?>>Arkansas-Red Basin</option>
          <option value="CBRFC"<?php echo $wfo=="CBRFC"?' selected="selected"':''?>>Colorado Basin</option>
          <option value="CNRFC"<?php echo $wfo=="CNRFC"?' selected="selected"':''?>>California Nevada</option>
          <option value="LMRFC"<?php echo $wfo=="LMRFC"?' selected="selected"':''?>>Lower Mississippi</option>
          <option value="MARFC"<?php echo $wfo=="MARFC"?' selected="selected"':''?>>Mid Atlantic</option>
          <option value="MBRFC"<?php echo $wfo=="MBRFC"?' selected="selected"':''?>>Missouri Basin</option>
          <option value="NERFC"<?php echo $wfo=="NERFC"?' selected="selected"':''?>>Northeast</option>
          <option value="NCRFC"<?php echo $wfo=="NCRFC"?' selected="selected"':''?>>North Central</option>
          <option value="NWRFC"<?php echo $wfo=="NWRFC"?' selected="selected"':''?>>Northwest</option>
          <option value="OHRFC"<?php echo $wfo=="OHRFC"?' selected="selected"':''?>>Ohio River</option>
          <option value="SERFC"<?php echo $wfo=="SERFC"?' selected="selected"':''?>>Southeast</option>
          <option value="WGRFC"<?php echo $wfo=="WGRFC"?' selected="selected"':''?>>West Gulf</option>
        </optgroup>
        <optgroup label=" - Alabama">
          <option value="bmx"<?php echo $wfo=="bmx"?' selected="selected"':''?>>Birmingham</option>
          <option value="hun"<?php echo $wfo=="hun"?' selected="selected"':''?>>Huntsville</option>
          <option value="mob"<?php echo $wfo=="mob"?' selected="selected"':''?>>Mobile</option>
        </optgroup>
        <!--    <optgroup label=" - Alaska">
             <option value="afc"<?php echo $wfo=="afc"?' selected="selected"':''?>>Anchorage</option>
             <option value="afg"<?php echo $wfo=="afg"?' selected="selected"':''?>>Fairbanks</option>
             <option value="ajk"<?php echo $wfo=="ajk"?' selected="selected"':''?>>Juneau</option>
             </optgroup>
           -->
        <optgroup label=" - Arizona">
          <option value="fgz"<?php echo $wfo=="fgz"?' selected="selected"':''?>>Flagstaff</option>
          <option value="psr"<?php echo $wfo=="psr"?' selected="selected"':''?>>Phoenix</option>
          <option value="twc"<?php echo $wfo=="twc"?' selected="selected"':''?>>Tucson</option>
        </optgroup>
        <optgroup label=" - Arkansas">
          <option value="lzk"<?php echo $wfo=="lzk"?' selected="selected"':''?>>Little Rock</option>
        </optgroup>
        <optgroup label=" - California">
	  <option value="eka"<?php echo $wfo=="eka"?' selected="selected"':''?>>Eureka</option>
          <option value="hnx"<?php echo $wfo=="hnx"?' selected="selected"':''?>>Hanford/San Joaquin Vly.</option>
          <option value="lox"<?php echo $wfo=="lox"?' selected="selected"':''?>>Los Angeles</option>
          <option value="sto"<?php echo $wfo=="sto"?' selected="selected"':''?>>Sacramento</option>
          <option value="sgx"<?php echo $wfo=="sgx"?' selected="selected"':''?>>San Diego</option>
          <option value="mtr"<?php echo $wfo=="mtr"?' selected="selected"':''?>>San Francisco</option>
        </optgroup>
        <optgroup label=" - Colorado">
          <option value="bou"<?php echo $wfo=="bou"?' selected="selected"':''?>>Denver/Boulder</option>
          <option value="gjt"<?php echo $wfo=="gjt"?' selected="selected"':''?>>Grand Junction</option>
          <option value="pub"<?php echo $wfo=="pub"?' selected="selected"':''?>>Pueblo</option>
        </optgroup>
        <optgroup label=" - Florida">
          <option value="jax"<?php echo $wfo=="jax"?' selected="selected"':''?>>Jacksonville</option>
          <option value="key"<?php echo $wfo=="key"?' selected="selected"':''?>>Key West</option>
          <option value="mlb"<?php echo $wfo=="mlb"?' selected="selected"':''?>>Melbourne</option>
          <option value="mfl"<?php echo $wfo=="mfl"?' selected="selected"':''?>>Miami</option>
          <option value="tae"<?php echo $wfo=="tae"?' selected="selected"':''?>>Tallahassee</option>
          <option value="tbw"<?php echo $wfo=="tbw"?' selected="selected"':''?>>Tampa Bay Area</option>
        </optgroup>
        <optgroup label=" - Georgia">
          <option value="ffc"<?php echo $wfo=="ffc"?' selected="selected"':''?>>Atlanta/Peachtree City</option>
        </optgroup>
        <!--	<optgroup label=" - Guam">
 	     <option value="pq"<?php echo $wfo=="pq"?' selected="selected"':''?>>Tiyan</option>
             </optgroup>
	     <optgroup label=" - Hawaii">
 	     <option value="hnl"<?php echo $wfo=="hnl"?' selected="selected"':''?>>Honolulu</option>
             </optgroup>
           -->
        <optgroup label=" - Idaho">
          <option value="boi"<?php echo $wfo=="boi"?' selected="selected"':''?>>Boise</option>
          <option value="pih"<?php echo $wfo=="pih"?' selected="selected"':''?>>Pocatello</option>
	</optgroup>

	<optgroup label=" - Illinois">
          <option value="ilx"<?php echo $wfo=="ilx"?' selected="selected"':''?>>Lincoln</option>
          <option value="lot"<?php echo $wfo=="lot"?' selected="selected"':''?>>Chicago</option>
        </optgroup>
        <optgroup label=" - Indiana">
          <option value="ind"<?php echo $wfo=="ind"?' selected="selected"':''?>>Indianapolis</option>
          <option value="iwx"<?php echo $wfo=="iwx"?' selected="selected"':''?>>Northern Indiana</option>
        </optgroup>
        <optgroup label=" - Iowa">
          <option value="dmx"<?php echo $wfo=="dmx"?' selected="selected"':''?>>Des Moines</option>
          <option value="dvn"<?php echo $wfo=="dvn"?' selected="selected"':''?>>Quad Cities</option>
        </optgroup>
        <optgroup label=" - Kansas">
          <option value="ddc"<?php echo $wfo=="ddc"?' selected="selected"':''?>>Dodge City</option>
          <option value="gld"<?php echo $wfo=="gld"?' selected="selected"':''?>>Goodland</option>
          <option value="top"<?php echo $wfo=="top"?' selected="selected"':''?>>Topeka</option>
          <option value="ict"<?php echo $wfo=="ict"?' selected="selected"':''?>>Wichita</option>
        </optgroup>
        <optgroup label=" - Kentucky">
          <option value="jkl"<?php echo $wfo=="jkl"?' selected="selected"':''?>>Jackson</option>
          <option value="lmk"<?php echo $wfo=="lmk"?' selected="selected"':''?>>Louisville</option>
          <option value="pah"<?php echo $wfo=="pah"?' selected="selected"':''?>>Paducah</option>
        </optgroup>
        <optgroup label=" - Louisiana">
          <option value="lch"<?php echo $wfo=="lch"?' selected="selected"':''?>>Lake Charles</option>
          <option value="lix"<?php echo $wfo=="lix"?' selected="selected"':''?>>New Orleans</option>
	  <option value="shv"<?php echo $wfo=="shv"?' selected="selected"':''?>>Shreveport</option>
        </optgroup>
        <optgroup label=" - Maine">
          <option value="car"<?php echo $wfo=="car"?' selected="selected"':''?>>Caribou</option>
          <option value="gyx"<?php echo $wfo=="gyx"?' selected="selected"':''?>>Portland/Gray</option>
        </optgroup>
        <optgroup label=" - Maryland">
          <option value="lwx"<?php echo $wfo=="lwx"?' selected="selected"':''?>>Baltimore/Washington DC</option>
        </optgroup>
        <optgroup label=" - Massachusetts">
          <option value="box"<?php echo $wfo=="box"?' selected="selected"':''?>>Boston</option>
        </optgroup>
        <optgroup label=" - Michigan">
          <option value="dtx"<?php echo $wfo=="dtx"?' selected="selected"':''?>>Detroit</option>
          <option value="apx"<?php echo $wfo=="apx"?' selected="selected"':''?>>Gaylord</option>
          <option value="grr"<?php echo $wfo=="grr"?' selected="selected"':''?>>Grand Rapids</option>
          <option value="mqt"<?php echo $wfo=="mqt"?' selected="selected"':''?>>Marquette</option>
        </optgroup>
        <optgroup label=" - Minnesota">
          <option value="dlh"<?php echo $wfo=="dlh"?' selected="selected"':''?>>Duluth</option>
          <option value="mpx"<?php echo $wfo=="mpx"?' selected="selected"':''?>>Minneapolis</option>
        </optgroup>
	<optgroup label=" - Mississippi">
          <option value="jan"<?php echo $wfo=="jan"?' selected="selected"':''?>>Jackson</option>
        </optgroup>
 	<optgroup label=" - Missouri">
          <option value="eax"<?php echo $wfo=="eax"?' selected="selected"':''?>>Kansas City</option>
          <option value="sgf"<?php echo $wfo=="sgf"?' selected="selected"':''?>>Springfield</option>
          <option value="lsx"<?php echo $wfo=="lsx"?' selected="selected"':''?>>St. Louis</option>
        </optgroup>
        <optgroup label=" - Montana">
          <option value="byz"<?php echo $wfo=="byz"?' selected="selected"':''?>>Billings</option>
          <option value="ggw"<?php echo $wfo=="ggw"?' selected="selected"':''?>>Glasgow</option>
          <option value="tfx"<?php echo $wfo=="tfx"?' selected="selected"':''?>>Great Falls</option>
          <option value="mso"<?php echo $wfo=="mso"?' selected="selected"':''?>>Missoula</option>
        </optgroup>
        <optgroup label=" - Nebraska">
          <option value="gid"<?php echo $wfo=="gid"?' selected="selected"':''?>>Hastings</option>
          <option value="lbf"<?php echo $wfo=="lbf"?' selected="selected"':''?>>North Platte</option>
          <option value="oax"<?php echo $wfo=="oax"?' selected="selected"':''?>>Omaha</option>
        </optgroup>
        <optgroup label=" - Nevada">
	  <option value="lkn"<?php echo $wfo=="lkn"?' selected="selected"':''?>>Elko</option>
          <option value="vef"<?php echo $wfo=="vef"?' selected="selected"':''?>>Las Vegas</option>
	  <option value="rev"<?php echo $wfo=="rev"?' selected="selected"':''?>>Reno</option>
        </optgroup>
        <optgroup label=" - New Jersey">
          <option value="phi"<?php echo $wfo=="phi"?' selected="selected"':''?>>Mt. Holly/Phyladelphia, PA</option>
        </optgroup>
        <optgroup label=" - New Mexico">
          <option value="abq"<?php echo $wfo=="abq"?' selected="selected"':''?>>Albuquerque</option>
        </optgroup>
        <optgroup label=" - New York">
          <option value="aly"<?php echo $wfo=="aly"?' selected="selected"':''?>>Albany</option>
          <option value="bgm"<?php echo $wfo=="bgm"?' selected="selected"':''?>>Binghamton</option>
          <option value="buf"<?php echo $wfo=="buf"?' selected="selected"':''?>>Buffalo</option>
          <option value="okx"<?php echo $wfo=="okx"?' selected="selected"':''?>>New York City/Upton</option>
        </optgroup>
        <optgroup label=" - North Carolina">
          <option value="mhx"<?php echo $wfo=="mhx"?' selected="selected"':''?>>Newport/Morehead City, NC</option>
          <option value="rah"<?php echo $wfo=="rah"?' selected="selected"':''?>>Raleigh/Durham</option>
          <option value="ilm"<?php echo $wfo=="ilm"?' selected="selected"':''?>>Wilmington</option>
        </optgroup>
        <optgroup label=" - North Dakota">
          <option value="bis"<?php echo $wfo=="bis"?' selected="selected"':''?>>Bismarck</option>
          <option value="fgf"<?php echo $wfo=="fgf"?' selected="selected"':''?>>Grand Forks</option>
        </optgroup>
        <optgroup label=" - Ohio">
          <option value="cle"<?php echo $wfo=="cle"?' selected="selected"':''?>>Cleveland</option>
          <option value="iln"<?php echo $wfo=="iln"?' selected="selected"':''?>>Wilmington/Dayton</option>
        </optgroup>
        <optgroup label=" - Oklahoma">
          <option value="oun"<?php echo $wfo=="oun"?' selected="selected"':''?>>Norman</option>
          <option value="tsa"<?php echo $wfo=="tsa"?' selected="selected"':''?>>Tulsa</option>
        </optgroup>
        <optgroup label=" - Oregon">
          <option value="mfr"<?php echo $wfo=="mfr"?' selected="selected"':''?>>Medford</option>
	  <option value="pdt"<?php echo $wfo=="pdt"?' selected="selected"':''?>>Pendleton</option>
	  <option value="pqr"<?php echo $wfo=="pqr"?' selected="selected"':''?>>Portland</option>
        </optgroup>
        <optgroup label=" - Pennsylvania">
          <option value="phi"<?php echo $wfo=="phi"?' selected="selected"':''?>>Philadelphia/Mt. Holly, NJ</option>
          <option value="pbz"<?php echo $wfo=="pbz"?' selected="selected"':''?>>Pittsburgh</option>
          <option value="ctp"<?php echo $wfo=="ctp"?' selected="selected"':''?>>State College</option>
        </optgroup>
        <!--    <optgroup label="Puerto Rico">
    	     <option value="sju"<?php echo $wfo=="sju"?' selected="selected"':''?>>San Juan</option>
             </optgroup>
           -->
        <optgroup label=" - South Carolina">
          <option value="chs"<?php echo $wfo=="chs"?' selected="selected"':''?>>Charleston</option>
          <option value="cae"<?php echo $wfo=="cae"?' selected="selected"':''?>>Columbia</option>
          <option value="gsp"<?php echo $wfo=="gsp"?' selected="selected"':''?>>Greenville/Spartanburg</option>
        </optgroup>
        <optgroup label=" - South Dakota">
          <option value="abr"<?php echo $wfo=="abr"?' selected="selected"':''?>>Aberdeen</option>
          <option value="unr"<?php echo $wfo=="unr"?' selected="selected"':''?>>Rapid City</option>
          <option value="fsd"<?php echo $wfo=="fsd"?' selected="selected"':''?>>Sioux Falls</option>
        </optgroup>
        <optgroup label=" - Tennessee">
          <option value="mrx"<?php echo $wfo=="mrx"?' selected="selected"':''?>>Knoxville/Tri Cities</option>
          <option value="meg"<?php echo $wfo=="meg"?' selected="selected"':''?>>Memphis</option>
          <option value="ohx"<?php echo $wfo=="ohx"?' selected="selected"':''?>>Nashville</option>
        </optgroup>
        <optgroup label=" - Texas">
          <option value="ama"<?php echo $wfo=="ama"?' selected="selected"':''?>>Amarillo</option>
	  <option value="ewx"<?php echo $wfo=="ewx"?' selected="selected"':''?>>Austin/San Antonio</option>
          <option value="bro"<?php echo $wfo=="bro"?' selected="selected"':''?>>Brownsville</option>
          <option value="crp"<?php echo $wfo=="crp"?' selected="selected"':''?>>Corpus Christi</option>
	  <option value="fwd"<?php echo $wfo=="fwd"?' selected="selected"':''?>>Dallas/Fort Worth</option>
	  <option value="epz"<?php echo $wfo=="epz"?' selected="selected"':''?>>El Paso</option>
          <option value="hgx"<?php echo $wfo=="hgx"?' selected="selected"':''?>>Houston/Galveston</option>
	  <option value="lub"<?php echo $wfo=="lub"?' selected="selected"':''?>>Lubbock</option>
          <option value="sjt"<?php echo $wfo=="sjt"?' selected="selected"':''?>>San Angelo</option>
        </optgroup>
        <optgroup label=" - Utah">
          <option value="slc"<?php echo $wfo=="slc"?' selected="selected"':''?>>Salt Lake City</option>
        </optgroup>
        <optgroup label=" - Vermont">
          <option value="btv"<?php echo $wfo=="btv"?' selected="selected"':''?>>Burlington</option>
        </optgroup>
        <optgroup label=" - Virginia">
          <option value="rnk"<?php echo $wfo=="rnk"?' selected="selected"':''?>>Roanoke/Blacksburg</option>
          <option value="akq"<?php echo $wfo=="akq"?' selected="selected"':''?>>Wakefield</option>
        </optgroup>
	<optgroup label=" - Washington">
          <option value="sew"<?php echo $wfo=="sew"?' selected="selected"':''?>>Seattle/Tacoma</option>
          <option value="otx"<?php echo $wfo=="otx"?' selected="selected"':''?>>Spokane</option>
        </optgroup>
	<optgroup label=" - West Virginia">
          <option value="rlx"<?php echo $wfo=="rlx"?' selected="selected"':''?>>Charleston</option>
        </optgroup>
        <optgroup label=" - Wisconsin">
          <option value="grb"<?php echo $wfo=="grb"?' selected="selected"':''?>>Green Bay</option>
          <option value="arx"<?php echo $wfo=="arx"?' selected="selected"':''?>>La Crosse</option>
          <option value="mkx"<?php echo $wfo=="mkx"?' selected="selected"':''?>>Milwaukee</option>
        </optgroup>
        <optgroup label=" - Wyoming">
          <option value="cys"<?php echo $wfo=="cys"?' selected="selected"':''?>>Cheyenne</option>
          <option value="riw"<?php echo $wfo=="riw"?' selected="selected"':''?>>Riverton</option>
        </optgroup>
      </select>
    </td>
    <td align="center">
      <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
        <b>Select prediction:</b> &nbsp;
      </span>
      <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="prediction">
        <option value="low_end"<?php echo $prediction=="low_end"?' selected="selected"':''?>>Expect at Least This Much Snow</option>
        <option value="expected_range"<?php echo $prediction=="expected_range"?' selected="selected"':''?>>Most Likely Snowfall</option>
        <option value="high_end"<?php echo $prediction=="high_end"?' selected="selected"':''?>>Potential for This Much Snow</option>
        <!--option value="StormTotalIceWeb"<?php echo $prediction=="StormTotalIceWeb"?' selected="selected"':''?>>Storm Total Ice Forecast</option> -->
        <option value="0p10"<?php echo $prediction=="0p10"?' selected="selected"':''?>>Chance >= 0.1 Inch Snowfall</option>
        <option value="1p00"<?php echo $prediction=="1p00"?' selected="selected"':''?>>Chance >= 1 Inch Snowfall</option>
        <option value="2p00"<?php echo $prediction=="2p00"?' selected="selected"':''?>>Chance >= 2 Inch Snowfall</option>
        <option value="4p00"<?php echo $prediction=="4p00"?' selected="selected"':''?>>Chance >= 4 Inch Snowfall</option>
        <option value="6p00"<?php echo $prediction=="6p00"?' selected="selected"':''?>>Chance >= 6 Inch Snowfall</option>
        <option value="8p00"<?php echo $prediction=="8p00"?' selected="selected"':''?>>Chance >= 8 Inch Snowfall</option>
        <option value="12p0"<?php echo $prediction=="12p0"?' selected="selected"':''?>>Chance >= 12 Inch Snowfall</option>
        <option value="18p0"<?php echo $prediction=="18p0"?' selected="selected"':''?>>Chance >= 18 Inch Snowfall</option>
        <!--<option value="WinterPrecipOnset"<?php echo $prediction=="WinterPrecipOnset"?' selected="selected"':''?>>Winter Precip Onset Timing</option>  -->
        <!--<option value="WinterPrecipEndTiming"<?php echo $prediction=="WinterPrecipEndTiming"?' selected="selected"':''?>>Winter Precip End Timing</option>  -->
      </select>
    </td>
  </tr>
</table>


<script type="text/javascript">
  $("#wfo").change(function () {
    var wfo = $(this).val();
//  var divWidth = "<?php echo $divWidth?>";
    var divWidth = $('#main-copy').width()
    var prediction = $("#prediction").val();
    var standAlone = "<?php echo $standAlone?>";
    showPredictionjs(wfo,divWidth,prediction,standAlone);
  });
</script>

<script type="text/javascript">
  $("#prediction").change(function () {
    var prediction = $(this).val();
//  var divWidth = "<?php echo $divWidth?>";
    var divWidth = $('#main-copy').width()
    var wfo = $("#wfo").val();
    var standAlone = "<?php echo $standAlone?>";
    showPredictionjs(wfo,divWidth,prediction,standAlone);
  });
</script>

<?php
/*  code no longer used due to dynamically generated images
	$ourSuffix='.jpg';
#	$exceptions = array('bou','box','ggw','gid','ama','slc');
	$exceptions = array('bou','bis','gid');
	if (in_array($wfo,$exceptions)) {
		$ourSuffix = '.png';
		if ($wfo=='bou') $ourSuffix='_CO.jpg';
		if ($wfo=='gid') $ourSuffix='_GID.jpg';
		if ($wfo=='bis') $ourSuffix='_BIS.jpg';
#		if ($wfo=='box') $ourSuffix='_BOX.jpg';
#		if ($wfo=='slc') $ourSuffix='.png';
 */
/*		if ($wfo=='bis') {
			if($prediction=='StormTotalSnowWeb') $prediction='StormTotalSnow';
			if($prediction=='StormTotalIceWeb') $prediction='StormTotalIce';
		$ourSuffix=($wfo=='bis'?:'_BIS.png');
			if ($ourSuffix=='_BIS.png') {
				if ($prediction=='StormTotalIce') {
					$prediction = 'StormTotalIceWeb';
					$ourSuffix = '_ND.jpg';}
			}
		}
	} */

?>
<?php
$t = time();

// Debug Code
//echo '$wfo: '.$wfo.', $prediction: '.$prediction.', $predictionText: '.$predictionText.', $t: '.$t.' <br/>';
//echo '$divWidth: ' . $divWidth . ', $_SESSION[\'CSSwidescreen\']: ' .
//     ($_SESSION['CSSwidescreen']==1?'true':'false').', $standAlone: ' . ($standAlone==1?'true':'false') . '<br/>';
// End Debug Code
?>
<table width="<?php echo $divWidth?>px" align="center">
  <tr>
    <td align="center">

      <?php
// this code no longer used - fetches all done in script code

// Creating a variable with an URL to be checked 
//$url = "https://www.weather.gov/images/".$wfo."/winter/".$prediction.$ourSuffix."";
//$imageURL = "https://www.wpc.ncep.noaa.gov/Prob_Precip/idss-map/mapgen.php?office=" . $wfo .
//            "&pointpreferences=" . $wfo.
//            "&product=" . $prediction .
//            "&ptype=prob_sn&summary=true&" . $t;

/*
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_NOBODY, true);
curl_setopt($ch, CURLOPT_USERAGENT,'Image Check (Web Application, www.gwwilkins.org)');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // write the response to a variable
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true); // follow redirects if any
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 30); // max. seconds to connect
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); // turn off SSL verification  
curl_setopt($ch, CURLOPT_FAILONERROR, true); // stop when it encounters an error
curl_setopt($ch, CURLOPT_REFERER, 'https://www.gwwilkins.org');	// SE Lincoln Weather is making the request

echo "<!-- fetching $url -->\n";

curl_exec($ch);
$code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
 
echo "<!-- return code $code -->\n";
*/
?>
  <div id="precipImg">
    <div class="loader"></div>
    <?php 

    // this code no longer used - fetches all done in script code
//    if(($code == "200") || ($code == "403")) { 
//      echo "<img width=".$divWidth . " src=\"https://www.wpc.ncep.noaa.gov/Prob_Precip/idss-map/mapgen.php?office=" . $wfo .
//           "&pointpreferences=" . $wfo . "&product=" . $prediction . "&ptype=prob_sn&summary=true&" . $t . "\" alt=" . $prediction . ">";  
//    } else { 
//      echo "<img width=" . $divWidth . " src='./images/mapsoff.jpg' alt='No Image'>"; 
//    }

//    $imageURL = "https://www.wpc.ncep.noaa.gov/Prob_Precip/idss-map/mapgen.php?office=" . $wfo .
//                "&pointpreferences=" . $wfo . "&product=" . $prediction . "&ptype=prob_sn&summary=true&" . $t . "\" alt=" . $prediction . ">";
    ?>
  </div>

</td>
</tr></table>
<?php if (strlen($wfo) == 3) { ?>
  <p align="center" style="line-height:140%; font-size:12px">
    <a href="https://www.weather.gov/<?php echo $wfo?>/winter" target="_blank" title="New Tab">
      Winter Page for <?php echo $wfoText?> Weather Forecast Office
    </a>
  </p>
<?php } ?>

<p align="center" style="line-height:140%; font-size:9px">
  Predictions Courtesy of <a href="https://www.weather.gov/<?php echo $wfo?>/" target="_blank" title="New Tab">
  NOAA-NWS
  </a>
  <br/>
  WFO and predictions Scripts by
  <a href="https://gwwilkins.org" target="_blank" title="New Tab">
    SE Lincoln Weather
  </a>
  now maintained and enhanced by
  <a href="https://mymishawakaweather.com" target="_blank" title="New Tab">
    My Mishawaka Weather
  </a>
  and
  <a href="https://lexmaweather.info" target="_blank" title="New Tab">
    LexMAWeather
  </a>.</p>
</div> <!-- End #showPrediction -->

