function displayImage(divWidth)
{
  var wfo = $("#wfo").val();
  var prediction = $("#prediction").val();
  var currentDate = new Date;
  var time = currentDate.getTime();
  var imageURL = 'https://www.wpc.ncep.noaa.gov/Prob_Precip/idss-map/mapgen.php?office=' +
                 wfo +
                 '&pointpreferences=' +
                 wfo +
                 '&product=' +
                 prediction +
                 '&ptype=prob_sn&summary=true&' + time;
  
//  var img = $("<img>").attr('src', imageURL).attr('width', '<?php echo $divWidth; ?>').attr('alt', prediction)
//  var img = $("<img>").attr('src', imageURL).attr('width', divWidth).attr('alt', prediction)
  var img = $("<img>").attr('src', imageURL).css('width', '100%').attr('alt', prediction)
                      .on('load', function() {
                        if (!this.complete || typeof this.naturalWidth == "undefined" || this.naturalWidth == 0) {
                          img.attr('src', '.images/mapsoff.jpg').attr('alt', 'No Image');
                        }
                        $("#precipImg :first-child").replaceWith(img);
                      });

}

// executes when either the WFO or prediction type changes
function showPredictionjs(wfo,divWidth,prediction,standAlone) {
  $("#precipImg :first-child").replaceWith('<div class="loader"></div>');
  $('#showPrediction').load('inc-nwswinter.php',
                            {wfo:wfo,divWidth:divWidth,prediction:prediction,standAlone:standAlone},
                            function() {
                              displayImage(divWidth);
                            });
}

